<%@ page import="java.util.ArrayList,com.ejie.p06b.general.P06BPaginas, com.ejie.p06b.general.P06BConstantes,com.ejie.p06b.util.P06BUtil, com.ejie.p06b.manager.P06BGeneralManager, com.ejie.p06b.util.P06BResources, com.ejie.p06b.datatype.model.P06B29T00Datatype, com.ejie.p06b.datatype.model.P06B26T00Datatype" %>
<%@ taglib uri="/WEB-INF/tld/p06bTags.tld" prefix="p06b" %>
<!DOCTYPE html>
<html>

<head>
	<title><p06b:p06bResEtiquetasTag resource="titulo.modifPersona"/></title>
	<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=UTF-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<link rel="stylesheet" href="<%=P06BPaginas.P06B_STYLES_PATH%>/Styles/p06estilos.css" type="text/css">
	<link rel="stylesheet" href="<%=P06BPaginas.P06B_STYLES_PATH%>/Styles/portal.css" type="text/css">
	<link rel="stylesheet" href="<%=P06BPaginas.P06B_STYLES_PATH%>/Styles/comunPortal.css" type="text/css">
	<script SRC="<%=P06BPaginas.P06B_STYLES_PATH%>/js/p06bComun.js"></script>
	
	<%
	/***************************************************************************************************************************/
	/*****************************	SE UTILIZA EN EL ALTA Y MODIFICACION DE MEDIADORES	****************************************/
	/***************************************************************************************************************************/
	
	
	String idioma = (String)request.getAttribute(P06BConstantes.P06B_VAR_PERFIL_USUARIO);	
	if (idioma == null || idioma.equals("") ){
		idioma = P06BConstantes.P06B_IDIOMA_ES; //"es"
	}
	
	P06B29T00Datatype defClienteCV = (P06B29T00Datatype)request.getAttribute("defClienteCV");	
	P06B29T00Datatype defClienteCG = (P06B29T00Datatype)request.getAttribute("defClienteCG");	
	P06B26T00Datatype atClienteCV = (P06B26T00Datatype)request.getAttribute("atClienteCV");	
	P06B26T00Datatype atClienteCG = (P06B26T00Datatype)request.getAttribute("atClienteCG");	

%>
</head>	


<body>
<script>
	
	destino = '<%=P06BPaginas.P06B_JSP_SERVLETATENCIONDEFENSACLIENTE_INJSP%>' + "?accion=<%=P06BConstantes.P06B_ACCION_RECUPERAR%>";
	var rutaCabecera = "";	//Parametro a pasar desde cada jsp que indique la ruta del mismo
	rutaCabecera += "<a class='migaja' href='"+destino+"'>\\"+'<p06b:p06bResEtiquetasTag resource="menu.opcion.corredores.encargadosAtencionDefensaCliente"/>'+"<\/a>";		

	function fcambiaTipoPer_atClienteCVModif(){
		if(document.FormAtencionDefensaClienteModificar["tipo_atClienteCVModif"].value==""){
			//Oculto Todo
			document.getElementById("bloquePerJ_atClienteCVModif").style.display="none";
			document.getElementById("bloquePerF_atClienteCVModif").style.display="none";
		}else if(document.FormAtencionDefensaClienteModificar["tipo_atClienteCVModif"].value=="<%=P06BConstantes.P06B_PERSONA_JURIDICA%>"){
			document.getElementById("bloquePerJ_atClienteCVModif").style.display="";
			document.getElementById("bloquePerF_atClienteCVModif").style.display="none";
		}else if(document.FormAtencionDefensaClienteModificar["tipo_atClienteCVModif"].value=="<%=P06BConstantes.P06B_PERSONA_FISICA%>"){
			document.getElementById("bloquePerF_atClienteCVModif").style.display="";
			document.getElementById("bloquePerJ_atClienteCVModif").style.display="none";
		}
	}
	
	function fcambiaTipoPer_atClienteCGModif(){
		if(document.FormAtencionDefensaClienteModificar["tipo_atClienteCGModif"].value==""){
			//Oculto Todo
			document.getElementById("bloquePerJ_atClienteCGModif").style.display="none";
			document.getElementById("bloquePerF_atClienteCGModif").style.display="none";
		}else if(document.FormAtencionDefensaClienteModificar["tipo_atClienteCGModif"].value=="<%=P06BConstantes.P06B_PERSONA_JURIDICA%>"){
			document.getElementById("bloquePerJ_atClienteCGModif").style.display="";
			document.getElementById("bloquePerF_atClienteCGModif").style.display="none";
		}else if(document.FormAtencionDefensaClienteModificar["tipo_atClienteCGModif"].value=="<%=P06BConstantes.P06B_PERSONA_FISICA%>"){
			document.getElementById("bloquePerF_atClienteCGModif").style.display="";
			document.getElementById("bloquePerJ_atClienteCGModif").style.display="none";
		}
	}
	
	function fcambiaTipoPer_defClienteCVModif(){
		if(document.FormAtencionDefensaClienteModificar["tipo_defClienteCVModif"].value==""){
			//Oculto Todo
			document.getElementById("bloquePerJ_defClienteCVModif").style.display="none";
			document.getElementById("bloquePerF_defClienteCVModif").style.display="none";
		}else if(document.FormAtencionDefensaClienteModificar["tipo_defClienteCVModif"].value=="<%=P06BConstantes.P06B_PERSONA_JURIDICA%>"){
			document.getElementById("bloquePerJ_defClienteCVModif").style.display="";
			document.getElementById("bloquePerF_defClienteCVModif").style.display="none";
		}else if(document.FormAtencionDefensaClienteModificar["tipo_defClienteCVModif"].value=="<%=P06BConstantes.P06B_PERSONA_FISICA%>"){
			document.getElementById("bloquePerF_defClienteCVModif").style.display="";
			document.getElementById("bloquePerJ_defClienteCVModif").style.display="none";
		}
	}
	
	function fcambiaTipoPer_defClienteCGModif(){
		if(document.FormAtencionDefensaClienteModificar["tipo_defClienteCGModif"].value==""){
			//Oculto Todo
			document.getElementById("bloquePerJ_defClienteCGModif").style.display="none";
			document.getElementById("bloquePerF_defClienteCGModif").style.display="none";
		}else if(document.FormAtencionDefensaClienteModificar["tipo_defClienteCGModif"].value=="<%=P06BConstantes.P06B_PERSONA_JURIDICA%>"){
			document.getElementById("bloquePerJ_defClienteCGModif").style.display="";
			document.getElementById("bloquePerF_defClienteCGModif").style.display="none";
		}else if(document.FormAtencionDefensaClienteModificar["tipo_defClienteCGModif"].value=="<%=P06BConstantes.P06B_PERSONA_FISICA%>"){
			document.getElementById("bloquePerF_defClienteCGModif").style.display="";
			document.getElementById("bloquePerJ_defClienteCGModif").style.display="none";
		}
	}
	
	function inicializa(){
		fcambiaTipoPer_atClienteCVModif();
		fcambiaTipoPer_atClienteCGModif();
		fcambiaTipoPer_defClienteCVModif();
		fcambiaTipoPer_defClienteCGModif();
	}
	
	//Si el cif/nif es correcto return true, else return false
	function esCorrectoCifNif_atClienteCVModif(){
		//Si el value es "", es pq no se ha seleccionado nada, y eso se controla en la clase junto con todas las
		//validaciones de campos obligatorios, numéricos etc.
		
		//Si es Persona Física
		document.FormAtencionDefensaClienteModificar.identif_atClienteCVModif.value = trim(document.FormAtencionDefensaClienteModificar.identif_atClienteCVModif.value);
		
		//El campo cif/nif es obligatorio
		if (document.FormAtencionDefensaClienteModificar.identif_atClienteCVModif.value == ""){
			alert('<%=((P06BResources)request.getSession().getAttribute(P06BConstantes.P06B_RES_SES_ETIQUETAS)).get("alertas.0011")%>');
  			return false;
		}
		
		document.FormAtencionDefensaClienteModificar.identif_atClienteCVModif.value = document.FormAtencionDefensaClienteModificar.identif_atClienteCVModif.value.toUpperCase();
		if (document.FormAtencionDefensaClienteModificar.tipo_atClienteCVModif.value=="<%=P06BConstantes.P06B_PERSONA_FISICA%>"){
			if (document.FormAtencionDefensaClienteModificar.identif_atClienteCVModif.value != ""){
	  			var dni = document.FormAtencionDefensaClienteModificar.identif_atClienteCVModif.value;
	  			
	  			//Los DNI que empiecen por "X", que se corresponden con los NIE, los extranjeros,
	  			//se van a almacenar como persona física y solo se va a hacer la comprobacion
	  			//de la longitud, de 9 caracteres
	  			if(dni.substring(0,1).toUpperCase() == "X"){
	  				if (dni.length<9){
		  				alert('<%=((P06BResources)request.getSession().getAttribute(P06BConstantes.P06B_RES_SES_ETIQUETAS)).get("alertas.0009")%>');
		  				return false;
		  			}
	  			}else{
		  			if (dni.length<8){
		  				alert('<%=((P06BResources)request.getSession().getAttribute(P06BConstantes.P06B_RES_SES_ETIQUETAS)).get("alertas.0002")%>');
		  				return false;
		  			}else if (dni.length == 8) {  				
		  			 	if (!comprobar8numeros(dni)){
		  			 		alert('<%=((P06BResources)request.getSession().getAttribute(P06BConstantes.P06B_RES_SES_ETIQUETAS)).get("alertas.0002")%>');
		  			 		return false;
		  			 	}else{	
		  			 		document.FormAtencionDefensaClienteModificar.identif_atClienteCVModif.value = document.FormAtencionDefensaClienteModificar.identif_atClienteCVModif.value + letraNifCorrecta(document.FormAtencionDefensaClienteModificar.identif_atClienteCVModif.value);
		  			 	}
		  			}else{
		  				var dniSinletra = dni.substring(0,dni.length-1);
		  				if (!comprobar8numeros(dniSinletra)){
		  			 		alert('<%=((P06BResources)request.getSession().getAttribute(P06BConstantes.P06B_RES_SES_ETIQUETAS)).get("alertas.0002")%>');
		  			 		return false;
		  			 	}
		  				var letra = dni.substring(8).toUpperCase(); 
		  				if (validarEntero(letra) != ""){
		  					alert('<%=((P06BResources)request.getSession().getAttribute(P06BConstantes.P06B_RES_SES_ETIQUETAS)).get("alertas.0002")%>');
		  					return false;
		  				}else{ 	  					  				
			  				if(letra != letraNifCorrecta(dniSinletra)){
			  					alert('<%=((P06BResources)request.getSession().getAttribute(P06BConstantes.P06B_RES_SES_ETIQUETAS)).get("alertas.0003")%> '+letraNifCorrecta(dniSinletra));
			  					return false;
			  				}
		  				}
		  			}
		  		}
	  		}
		
		//Si es Persona Jurídica
		}else if (document.FormAtencionDefensaClienteModificar.tipo_atClienteCVModif.value=="<%=P06BConstantes.P06B_PERSONA_JURIDICA%>"){
			if (document.FormAtencionDefensaClienteModificar.identif_atClienteCVModif.value !=""){
	  			var cif = document.FormAtencionDefensaClienteModificar.identif_atClienteCVModif.value;
	  			if (cif.length<8){
	  				alert('<%=((P06BResources)request.getSession().getAttribute(P06BConstantes.P06B_RES_SES_ETIQUETAS)).get("alertas.0004")%>');
	  				return false;
	  			}else if (cif.length == 8){
	  				numero = trim(cif.substr(1,7));
					if ((numero.length==0) || (numero.length<7) || (validarEntero(numero) == "")){
						alert('<%=((P06BResources)request.getSession().getAttribute(P06BConstantes.P06B_RES_SES_ETIQUETAS)).get("alertas.0005")%>');
						return false;
					}else if(!esCorrectaLetraCIF(cif.substr(0,1).toUpperCase())){
						alert('<%=((P06BResources)request.getSession().getAttribute(P06BConstantes.P06B_RES_SES_ETIQUETAS)).get("alertas.0008")%>');
						return false;
					}
					document.FormAtencionDefensaClienteModificar.identif_atClienteCVModif.value = document.FormAtencionDefensaClienteModificar.identif_atClienteCVModif.value + calculaDigitoControl(cif);
	  			}else{  		
	  				numero = trim(cif.substr(1,7));
					if ((numero.length==0) || (numero.length<7) || (validarEntero(numero) == "")){
						alert('<%=((P06BResources)request.getSession().getAttribute(P06BConstantes.P06B_RES_SES_ETIQUETAS)).get("alertas.0005")%>');
						return false;
					}else if(!esCorrectaLetraCIF(cif.substr(0,1).toUpperCase())){
						alert('<%=((P06BResources)request.getSession().getAttribute(P06BConstantes.P06B_RES_SES_ETIQUETAS)).get("alertas.0008")%>');
						return false;
					}else{
	  					var letra = cif.substring(0,1);   					  					  				
		  				if (validarEntero(letra) != ""){
		  					alert('<%=((P06BResources)request.getSession().getAttribute(P06BConstantes.P06B_RES_SES_ETIQUETAS)).get("alertas.0006")%>');
		  					return false;
		  				}else{	  
			  				var cif2 = document.FormAtencionDefensaClienteModificar.identif_atClienteCVModif.value;
			  				if (!ValidaCIF(cif2)){
			  					alert('<%=((P06BResources)request.getSession().getAttribute(P06BConstantes.P06B_RES_SES_ETIQUETAS)).get("alertas.0007")%> '+calculaDigitoControl(cif2));
			  					return false;	
			  				}
		  				}
		  			}
		  		}
		  	}
		}
		return true; 
	}
	
	//Si el cif/nif es correcto return true, else return false
	function esCorrectoCifNif_atClienteCGModif(){
		//Si el value es "", es pq no se ha seleccionado nada, y eso se controla en la clase junto con todas las
		//validaciones de campos obligatorios, numéricos etc.
		
		//Si es Persona Física
		document.FormAtencionDefensaClienteModificar.identif_atClienteCGModif.value = trim(document.FormAtencionDefensaClienteModificar.identif_atClienteCGModif.value);
		
		//El campo cif/nif es obligatorio
		if (document.FormAtencionDefensaClienteModificar.identif_atClienteCGModif.value == ""){
			alert('<%=((P06BResources)request.getSession().getAttribute(P06BConstantes.P06B_RES_SES_ETIQUETAS)).get("alertas.0011")%>');
  			return false;
		}
		
		document.FormAtencionDefensaClienteModificar.identif_atClienteCGModif.value = document.FormAtencionDefensaClienteModificar.identif_atClienteCGModif.value.toUpperCase();
		if (document.FormAtencionDefensaClienteModificar.tipo_atClienteCGModif.value=="<%=P06BConstantes.P06B_PERSONA_FISICA%>"){
			if (document.FormAtencionDefensaClienteModificar.identif_atClienteCGModif.value != ""){
	  			var dni = document.FormAtencionDefensaClienteModificar.identif_atClienteCGModif.value;
	  			
	  			//Los DNI que empiecen por "X", que se corresponden con los NIE, los extranjeros,
	  			//se van a almacenar como persona física y solo se va a hacer la comprobacion
	  			//de la longitud, de 9 caracteres
	  			if(dni.substring(0,1).toUpperCase() == "X"){
	  				if (dni.length<9){
		  				alert('<%=((P06BResources)request.getSession().getAttribute(P06BConstantes.P06B_RES_SES_ETIQUETAS)).get("alertas.0009")%>');
		  				return false;
		  			}
	  			}else{
		  			if (dni.length<8){
		  				alert('<%=((P06BResources)request.getSession().getAttribute(P06BConstantes.P06B_RES_SES_ETIQUETAS)).get("alertas.0002")%>');
		  				return false;
		  			}else if (dni.length == 8) {  				
		  			 	if (!comprobar8numeros(dni)){
		  			 		alert('<%=((P06BResources)request.getSession().getAttribute(P06BConstantes.P06B_RES_SES_ETIQUETAS)).get("alertas.0002")%>');
		  			 		return false;
		  			 	}else{	
		  			 		document.FormAtencionDefensaClienteModificar.identif_atClienteCGModif.value = document.FormAtencionDefensaClienteModificar.identif_atClienteCGModif.value + letraNifCorrecta(document.FormAtencionDefensaClienteModificar.identif_atClienteCGModif.value);
		  			 	}
		  			}else{
		  				var dniSinletra = dni.substring(0,dni.length-1);
		  				if (!comprobar8numeros(dniSinletra)){
		  			 		alert('<%=((P06BResources)request.getSession().getAttribute(P06BConstantes.P06B_RES_SES_ETIQUETAS)).get("alertas.0002")%>');
		  			 		return false;
		  			 	}
		  				var letra = dni.substring(8).toUpperCase(); 
		  				if (validarEntero(letra) != ""){
		  					alert('<%=((P06BResources)request.getSession().getAttribute(P06BConstantes.P06B_RES_SES_ETIQUETAS)).get("alertas.0002")%>');
		  					return false;
		  				}else{ 	  					  				
			  				if(letra != letraNifCorrecta(dniSinletra)){
			  					alert('<%=((P06BResources)request.getSession().getAttribute(P06BConstantes.P06B_RES_SES_ETIQUETAS)).get("alertas.0003")%> '+letraNifCorrecta(dniSinletra));
			  					return false;
			  				}
		  				}
		  			}
		  		}
	  		}
		
		//Si es Persona Jurídica
		}else if (document.FormAtencionDefensaClienteModificar.tipo_atClienteCGModif.value=="<%=P06BConstantes.P06B_PERSONA_JURIDICA%>"){
			if (document.FormAtencionDefensaClienteModificar.identif_atClienteCGModif.value !=""){
	  			var cif = document.FormAtencionDefensaClienteModificar.identif_atClienteCGModif.value;
	  			if (cif.length<8){
	  				alert('<%=((P06BResources)request.getSession().getAttribute(P06BConstantes.P06B_RES_SES_ETIQUETAS)).get("alertas.0004")%>');
	  				return false;
	  			}else if (cif.length == 8){
	  				numero = trim(cif.substr(1,7));
					if ((numero.length==0) || (numero.length<7) || (validarEntero(numero) == "")){
						alert('<%=((P06BResources)request.getSession().getAttribute(P06BConstantes.P06B_RES_SES_ETIQUETAS)).get("alertas.0005")%>');
						return false;
					}else if(!esCorrectaLetraCIF(cif.substr(0,1).toUpperCase())){
						alert('<%=((P06BResources)request.getSession().getAttribute(P06BConstantes.P06B_RES_SES_ETIQUETAS)).get("alertas.0008")%>');
						return false;
					}
					document.FormAtencionDefensaClienteModificar.identif_atClienteCGModif.value = document.FormAtencionDefensaClienteModificar.identif_atClienteCGModif.value + calculaDigitoControl(cif);
	  			}else{  		
	  				numero = trim(cif.substr(1,7));
					if ((numero.length==0) || (numero.length<7) || (validarEntero(numero) == "")){
						alert('<%=((P06BResources)request.getSession().getAttribute(P06BConstantes.P06B_RES_SES_ETIQUETAS)).get("alertas.0005")%>');
						return false;
					}else if(!esCorrectaLetraCIF(cif.substr(0,1).toUpperCase())){
						alert('<%=((P06BResources)request.getSession().getAttribute(P06BConstantes.P06B_RES_SES_ETIQUETAS)).get("alertas.0008")%>');
						return false;
					}else{
	  					var letra = cif.substring(0,1);   					  					  				
		  				if (validarEntero(letra) != ""){
		  					alert('<%=((P06BResources)request.getSession().getAttribute(P06BConstantes.P06B_RES_SES_ETIQUETAS)).get("alertas.0006")%>');
		  					return false;
		  				}else{	  
			  				var cif2 = document.FormAtencionDefensaClienteModificar.identif_atClienteCGModif.value;
			  				if (!ValidaCIF(cif2)){
			  					alert('<%=((P06BResources)request.getSession().getAttribute(P06BConstantes.P06B_RES_SES_ETIQUETAS)).get("alertas.0007")%> '+calculaDigitoControl(cif2));
			  					return false;	
			  				}
		  				}
		  			}
		  		}
		  	}
		}
		return true; 
	}
	
	//Si el cif/nif es correcto return true, else return false
	function esCorrectoCifNif_defClienteCVModif(){
		//Si el value es "", es pq no se ha seleccionado nada, y eso se controla en la clase junto con todas las
		//validaciones de campos obligatorios, numéricos etc.
		
		//Si es Persona Física
		document.FormAtencionDefensaClienteModificar.identif_defClienteCVModif.value = trim(document.FormAtencionDefensaClienteModificar.identif_defClienteCVModif.value);
		
		//El campo cif/nif es obligatorio
		if (document.FormAtencionDefensaClienteModificar.identif_defClienteCVModif.value == ""){
			alert('<%=((P06BResources)request.getSession().getAttribute(P06BConstantes.P06B_RES_SES_ETIQUETAS)).get("alertas.0011")%>');
  			return false;
		}
		
		document.FormAtencionDefensaClienteModificar.identif_defClienteCVModif.value = document.FormAtencionDefensaClienteModificar.identif_defClienteCVModif.value.toUpperCase();
		if (document.FormAtencionDefensaClienteModificar.tipo_defClienteCVModif.value=="<%=P06BConstantes.P06B_PERSONA_FISICA%>"){
			if (document.FormAtencionDefensaClienteModificar.identif_defClienteCVModif.value != ""){
	  			var dni = document.FormAtencionDefensaClienteModificar.identif_defClienteCVModif.value;
	  			
	  			//Los DNI que empiecen por "X", que se corresponden con los NIE, los extranjeros,
	  			//se van a almacenar como persona física y solo se va a hacer la comprobacion
	  			//de la longitud, de 9 caracteres
	  			if(dni.substring(0,1).toUpperCase() == "X"){
	  				if (dni.length<9){
		  				alert('<%=((P06BResources)request.getSession().getAttribute(P06BConstantes.P06B_RES_SES_ETIQUETAS)).get("alertas.0009")%>');
		  				return false;
		  			}
	  			}else{
		  			if (dni.length<8){
		  				alert('<%=((P06BResources)request.getSession().getAttribute(P06BConstantes.P06B_RES_SES_ETIQUETAS)).get("alertas.0002")%>');
		  				return false;
		  			}else if (dni.length == 8) {  				
		  			 	if (!comprobar8numeros(dni)){
		  			 		alert('<%=((P06BResources)request.getSession().getAttribute(P06BConstantes.P06B_RES_SES_ETIQUETAS)).get("alertas.0002")%>');
		  			 		return false;
		  			 	}else{	
		  			 		document.FormAtencionDefensaClienteModificar.identif_defClienteCVModif.value = document.FormAtencionDefensaClienteModificar.identif_defClienteCVModif.value + letraNifCorrecta(document.FormAtencionDefensaClienteModificar.identif_defClienteCVModif.value);
		  			 	}
		  			}else{
		  				var dniSinletra = dni.substring(0,dni.length-1);
		  				if (!comprobar8numeros(dniSinletra)){
		  			 		alert('<%=((P06BResources)request.getSession().getAttribute(P06BConstantes.P06B_RES_SES_ETIQUETAS)).get("alertas.0002")%>');
		  			 		return false;
		  			 	}
		  				var letra = dni.substring(8).toUpperCase(); 
		  				if (validarEntero(letra) != ""){
		  					alert('<%=((P06BResources)request.getSession().getAttribute(P06BConstantes.P06B_RES_SES_ETIQUETAS)).get("alertas.0002")%>');
		  					return false;
		  				}else{ 	  					  				
			  				if(letra != letraNifCorrecta(dniSinletra)){
			  					alert('<%=((P06BResources)request.getSession().getAttribute(P06BConstantes.P06B_RES_SES_ETIQUETAS)).get("alertas.0003")%> '+letraNifCorrecta(dniSinletra));
			  					return false;
			  				}
		  				}
		  			}
		  		}
	  		}
		
		//Si es Persona Jurídica
		}else if (document.FormAtencionDefensaClienteModificar.tipo_defClienteCVModif.value=="<%=P06BConstantes.P06B_PERSONA_JURIDICA%>"){
			if (document.FormAtencionDefensaClienteModificar.identif_defClienteCVModif.value !=""){
	  			var cif = document.FormAtencionDefensaClienteModificar.identif_defClienteCVModif.value;
	  			if (cif.length<8){
	  				alert('<%=((P06BResources)request.getSession().getAttribute(P06BConstantes.P06B_RES_SES_ETIQUETAS)).get("alertas.0004")%>');
	  				return false;
	  			}else if (cif.length == 8){
	  				numero = trim(cif.substr(1,7));
					if ((numero.length==0) || (numero.length<7) || (validarEntero(numero) == "")){
						alert('<%=((P06BResources)request.getSession().getAttribute(P06BConstantes.P06B_RES_SES_ETIQUETAS)).get("alertas.0005")%>');
						return false;
					}else if(!esCorrectaLetraCIF(cif.substr(0,1).toUpperCase())){
						alert('<%=((P06BResources)request.getSession().getAttribute(P06BConstantes.P06B_RES_SES_ETIQUETAS)).get("alertas.0008")%>');
						return false;
					}
					document.FormAtencionDefensaClienteModificar.identif_defClienteCVModif.value = document.FormAtencionDefensaClienteModificar.identif_defClienteCVModif.value + calculaDigitoControl(cif);
	  			}else{  		
	  				numero = trim(cif.substr(1,7));
					if ((numero.length==0) || (numero.length<7) || (validarEntero(numero) == "")){
						alert('<%=((P06BResources)request.getSession().getAttribute(P06BConstantes.P06B_RES_SES_ETIQUETAS)).get("alertas.0005")%>');
						return false;
					}else if(!esCorrectaLetraCIF(cif.substr(0,1).toUpperCase())){
						alert('<%=((P06BResources)request.getSession().getAttribute(P06BConstantes.P06B_RES_SES_ETIQUETAS)).get("alertas.0008")%>');
						return false;
					}else{
	  					var letra = cif.substring(0,1);   					  					  				
		  				if (validarEntero(letra) != ""){
		  					alert('<%=((P06BResources)request.getSession().getAttribute(P06BConstantes.P06B_RES_SES_ETIQUETAS)).get("alertas.0006")%>');
		  					return false;
		  				}else{	  
			  				var cif2 = document.FormAtencionDefensaClienteModificar.identif_defClienteCVModif.value;
			  				if (!ValidaCIF(cif2)){
			  					alert('<%=((P06BResources)request.getSession().getAttribute(P06BConstantes.P06B_RES_SES_ETIQUETAS)).get("alertas.0007")%> '+calculaDigitoControl(cif2));
			  					return false;	
			  				}
		  				}
		  			}
		  		}
		  	}
		}
		return true; 
	}
	
	//Si el cif/nif es correcto return true, else return false
	function esCorrectoCifNif_defClienteCGModif(){
		//Si el value es "", es pq no se ha seleccionado nada, y eso se controla en la clase junto con todas las
		//validaciones de campos obligatorios, numéricos etc.
		
		//Si es Persona Física
		document.FormAtencionDefensaClienteModificar.identif_defClienteCGModif.value = trim(document.FormAtencionDefensaClienteModificar.identif_defClienteCGModif.value);
		
		//El campo cif/nif es obligatorio
		if (document.FormAtencionDefensaClienteModificar.identif_defClienteCGModif.value == ""){
			alert('<%=((P06BResources)request.getSession().getAttribute(P06BConstantes.P06B_RES_SES_ETIQUETAS)).get("alertas.0011")%>');
  			return false;
		}
		
		document.FormAtencionDefensaClienteModificar.identif_defClienteCGModif.value = document.FormAtencionDefensaClienteModificar.identif_defClienteCGModif.value.toUpperCase();
		if (document.FormAtencionDefensaClienteModificar.tipo_defClienteCGModif.value=="<%=P06BConstantes.P06B_PERSONA_FISICA%>"){
			if (document.FormAtencionDefensaClienteModificar.identif_defClienteCGModif.value != ""){
	  			var dni = document.FormAtencionDefensaClienteModificar.identif_defClienteCGModif.value;
	  			
	  			//Los DNI que empiecen por "X", que se corresponden con los NIE, los extranjeros,
	  			//se van a almacenar como persona física y solo se va a hacer la comprobacion
	  			//de la longitud, de 9 caracteres
	  			if(dni.substring(0,1).toUpperCase() == "X"){
	  				if (dni.length<9){
		  				alert('<%=((P06BResources)request.getSession().getAttribute(P06BConstantes.P06B_RES_SES_ETIQUETAS)).get("alertas.0009")%>');
		  				return false;
		  			}
	  			}else{
		  			if (dni.length<8){
		  				alert('<%=((P06BResources)request.getSession().getAttribute(P06BConstantes.P06B_RES_SES_ETIQUETAS)).get("alertas.0002")%>');
		  				return false;
		  			}else if (dni.length == 8) {  				
		  			 	if (!comprobar8numeros(dni)){
		  			 		alert('<%=((P06BResources)request.getSession().getAttribute(P06BConstantes.P06B_RES_SES_ETIQUETAS)).get("alertas.0002")%>');
		  			 		return false;
		  			 	}else{	
		  			 		document.FormAtencionDefensaClienteModificar.identif_defClienteCGModif.value = document.FormAtencionDefensaClienteModificar.identif_defClienteCGModif.value + letraNifCorrecta(document.FormAtencionDefensaClienteModificar.identif_defClienteCGModif.value);
		  			 	}
		  			}else{
		  				var dniSinletra = dni.substring(0,dni.length-1);
		  				if (!comprobar8numeros(dniSinletra)){
		  			 		alert('<%=((P06BResources)request.getSession().getAttribute(P06BConstantes.P06B_RES_SES_ETIQUETAS)).get("alertas.0002")%>');
		  			 		return false;
		  			 	}
		  				var letra = dni.substring(8).toUpperCase(); 
		  				if (validarEntero(letra) != ""){
		  					alert('<%=((P06BResources)request.getSession().getAttribute(P06BConstantes.P06B_RES_SES_ETIQUETAS)).get("alertas.0002")%>');
		  					return false;
		  				}else{ 	  					  				
			  				if(letra != letraNifCorrecta(dniSinletra)){
			  					alert('<%=((P06BResources)request.getSession().getAttribute(P06BConstantes.P06B_RES_SES_ETIQUETAS)).get("alertas.0003")%> '+letraNifCorrecta(dniSinletra));
			  					return false;
			  				}
		  				}
		  			}
		  		}
	  		}
		
		//Si es Persona Jurídica
		}else if (document.FormAtencionDefensaClienteModificar.tipo_defClienteCGModif.value=="<%=P06BConstantes.P06B_PERSONA_JURIDICA%>"){
			if (document.FormAtencionDefensaClienteModificar.identif_defClienteCGModif.value !=""){
	  			var cif = document.FormAtencionDefensaClienteModificar.identif_defClienteCGModif.value;
	  			if (cif.length<8){
	  				alert('<%=((P06BResources)request.getSession().getAttribute(P06BConstantes.P06B_RES_SES_ETIQUETAS)).get("alertas.0004")%>');
	  				return false;
	  			}else if (cif.length == 8){
	  				numero = trim(cif.substr(1,7));
					if ((numero.length==0) || (numero.length<7) || (validarEntero(numero) == "")){
						alert('<%=((P06BResources)request.getSession().getAttribute(P06BConstantes.P06B_RES_SES_ETIQUETAS)).get("alertas.0005")%>');
						return false;
					}else if(!esCorrectaLetraCIF(cif.substr(0,1).toUpperCase())){
						alert('<%=((P06BResources)request.getSession().getAttribute(P06BConstantes.P06B_RES_SES_ETIQUETAS)).get("alertas.0008")%>');
						return false;
					}
					document.FormAtencionDefensaClienteModificar.identif_defClienteCGModif.value = document.FormAtencionDefensaClienteModificar.identif_defClienteCGModif.value + calculaDigitoControl(cif);
	  			}else{  		
	  				numero = trim(cif.substr(1,7));
					if ((numero.length==0) || (numero.length<7) || (validarEntero(numero) == "")){
						alert('<%=((P06BResources)request.getSession().getAttribute(P06BConstantes.P06B_RES_SES_ETIQUETAS)).get("alertas.0005")%>');
						return false;
					}else if(!esCorrectaLetraCIF(cif.substr(0,1).toUpperCase())){
						alert('<%=((P06BResources)request.getSession().getAttribute(P06BConstantes.P06B_RES_SES_ETIQUETAS)).get("alertas.0008")%>');
						return false;
					}else{
	  					var letra = cif.substring(0,1);   					  					  				
		  				if (validarEntero(letra) != ""){
		  					alert('<%=((P06BResources)request.getSession().getAttribute(P06BConstantes.P06B_RES_SES_ETIQUETAS)).get("alertas.0006")%>');
		  					return false;
		  				}else{	  
			  				var cif2 = document.FormAtencionDefensaClienteModificar.identif_defClienteCGModif.value;
			  				if (!ValidaCIF(cif2)){
			  					alert('<%=((P06BResources)request.getSession().getAttribute(P06BConstantes.P06B_RES_SES_ETIQUETAS)).get("alertas.0007")%> '+calculaDigitoControl(cif2));
			  					return false;	
			  				}
		  				}
		  			}
		  		}
		  	}
		}
		return true; 
	}
	
	function grabar(){
		//El campo Tipo Persona es obligatorio
		if (document.FormAtencionDefensaClienteModificar["tipo_atClienteCVModif"].value==""){
  			alert('<%=((P06BResources)request.getSession().getAttribute(P06BConstantes.P06B_RES_SES_ETIQUETAS)).get("alertas.0010")%>');
  			return;
  		}
  				
		if (trim(document.FormAtencionDefensaClienteModificar.identif_atClienteCVModif.value) != ""){
			//Validacion del cif/nif
			if (!esCorrectoCifNif_atClienteCVModif()){
	  			document.FormAtencionDefensaClienteModificar["identif_atClienteCVModif"].focus();
				return;
			}
			
			if (document.FormAtencionDefensaClienteModificar.tipo_atClienteCVModif.value=="<%=P06BConstantes.P06B_PERSONA_FISICA%>"){
				if (document.FormAtencionDefensaClienteModificar["nombre_atClienteCVModif"].value==""){
		  			alert('<%=((P06BResources)request.getSession().getAttribute(P06BConstantes.P06B_RES_SES_ETIQUETAS)).get("alertas.0021")%>');
		  			document.FormAtencionDefensaClienteModificar["nombre_atClienteCVModif"].focus();
		  			return;
		  		}
				if (document.FormAtencionDefensaClienteModificar["ape1_atClienteCVModif"].value==""){
		  			alert('<%=((P06BResources)request.getSession().getAttribute(P06BConstantes.P06B_RES_SES_ETIQUETAS)).get("alertas.0022")%>');
		  			document.FormAtencionDefensaClienteModificar["ape1_atClienteCVModif"].focus();
		  			return;
		  		}
				if (document.FormAtencionDefensaClienteModificar["ape2_atClienteCVModif"].value==""){
		  			alert('<%=((P06BResources)request.getSession().getAttribute(P06BConstantes.P06B_RES_SES_ETIQUETAS)).get("alertas.0023")%>');
		  			document.FormAtencionDefensaClienteModificar["ape2_atClienteCVModif"].focus();
		  			return;
		  		}
			}else{
				if (document.FormAtencionDefensaClienteModificar["razsoc_atClienteCVModif"].value==""){
		  			alert('<%=((P06BResources)request.getSession().getAttribute(P06BConstantes.P06B_RES_SES_ETIQUETAS)).get("alertas.0024")%>');
		  			document.FormAtencionDefensaClienteModificar["razsoc_atClienteCVModif"].focus();
		  			return;
		  		}			
			}
		}		
		
		//El campo Tipo Persona es obligatorio
		if (document.FormAtencionDefensaClienteModificar["tipo_defClienteCVModif"].value==""){
  			alert('<%=((P06BResources)request.getSession().getAttribute(P06BConstantes.P06B_RES_SES_ETIQUETAS)).get("alertas.0010")%>');
  			return;
  		}
  				
		if (trim(document.FormAtencionDefensaClienteModificar.identif_defClienteCVModif.value) != ""){
			//Validacion del cif/nif
			if (!esCorrectoCifNif_defClienteCVModif()){
	  			document.FormAtencionDefensaClienteModificar["identif_defClienteCVModif"].focus();
				return;
			}
			
			if (document.FormAtencionDefensaClienteModificar.tipo_defClienteCVModif.value=="<%=P06BConstantes.P06B_PERSONA_FISICA%>"){
				if (document.FormAtencionDefensaClienteModificar["nombre_defClienteCVModif"].value==""){
		  			alert('<%=((P06BResources)request.getSession().getAttribute(P06BConstantes.P06B_RES_SES_ETIQUETAS)).get("alertas.0021")%>');
		  			document.FormAtencionDefensaClienteModificar["nombre_defClienteCVModif"].focus();
		  			return;
		  		}
				if (document.FormAtencionDefensaClienteModificar["ape1_defClienteCVModif"].value==""){
		  			alert('<%=((P06BResources)request.getSession().getAttribute(P06BConstantes.P06B_RES_SES_ETIQUETAS)).get("alertas.0022")%>');
		  			document.FormAtencionDefensaClienteModificar["ape1_defClienteCVModif"].focus();
		  			return;
		  		}
				if (document.FormAtencionDefensaClienteModificar["ape2_defClienteCVModif"].value==""){
		  			alert('<%=((P06BResources)request.getSession().getAttribute(P06BConstantes.P06B_RES_SES_ETIQUETAS)).get("alertas.0023")%>');
		  			document.FormAtencionDefensaClienteModificar["ape2_defClienteCVModif"].focus();
		  			return;
		  		}
			}else{
				if (document.FormAtencionDefensaClienteModificar["razsoc_defClienteCVModif"].value==""){
		  			alert('<%=((P06BResources)request.getSession().getAttribute(P06BConstantes.P06B_RES_SES_ETIQUETAS)).get("alertas.0024")%>');
		  			document.FormAtencionDefensaClienteModificar["razsoc_defClienteCVModif"].focus();
		  			return;
		  		}			
			}
		}
		
		//El campo Tipo Persona es obligatorio
		if (document.FormAtencionDefensaClienteModificar["tipo_atClienteCGModif"].value==""){
  			alert('<%=((P06BResources)request.getSession().getAttribute(P06BConstantes.P06B_RES_SES_ETIQUETAS)).get("alertas.0010")%>');
  			return;
  		}
  				
		if (trim(document.FormAtencionDefensaClienteModificar.identif_atClienteCGModif.value) != ""){
			//Validacion del cif/nif
			if (!esCorrectoCifNif_atClienteCGModif()){
	  			document.FormAtencionDefensaClienteModificar["identif_atClienteCGModif"].focus();
				return;
			}
			
			if (document.FormAtencionDefensaClienteModificar.tipo_atClienteCGModif.value=="<%=P06BConstantes.P06B_PERSONA_FISICA%>"){
				if (document.FormAtencionDefensaClienteModificar["nombre_atClienteCGModif"].value==""){
		  			alert('<%=((P06BResources)request.getSession().getAttribute(P06BConstantes.P06B_RES_SES_ETIQUETAS)).get("alertas.0021")%>');
		  			document.FormAtencionDefensaClienteModificar["nombre_atClienteCGModif"].focus();
		  			return;
		  		}
				if (document.FormAtencionDefensaClienteModificar["ape1_atClienteCGModif"].value==""){
		  			alert('<%=((P06BResources)request.getSession().getAttribute(P06BConstantes.P06B_RES_SES_ETIQUETAS)).get("alertas.0022")%>');
		  			document.FormAtencionDefensaClienteModificar["ape1_atClienteCGModif"].focus();
		  			return;
		  		}
				if (document.FormAtencionDefensaClienteModificar["ape2_atClienteCGModif"].value==""){
		  			alert('<%=((P06BResources)request.getSession().getAttribute(P06BConstantes.P06B_RES_SES_ETIQUETAS)).get("alertas.0023")%>');
		  			document.FormAtencionDefensaClienteModificar["ape2_atClienteCGModif"].focus();
		  			return;
		  		}
			}else{
				if (document.FormAtencionDefensaClienteModificar["razsoc_atClienteCGModif"].value==""){
		  			alert('<%=((P06BResources)request.getSession().getAttribute(P06BConstantes.P06B_RES_SES_ETIQUETAS)).get("alertas.0024")%>');
		  			document.FormAtencionDefensaClienteModificar["razsoc_atClienteCGModif"].focus();
		  			return;
		  		}			
			}
		}
		
		//El campo Tipo Persona es obligatorio
		if (document.FormAtencionDefensaClienteModificar["tipo_defClienteCGModif"].value==""){
  			alert('<%=((P06BResources)request.getSession().getAttribute(P06BConstantes.P06B_RES_SES_ETIQUETAS)).get("alertas.0010")%>');
  			return;
  		}
  				
		if (trim(document.FormAtencionDefensaClienteModificar.identif_defClienteCGModif.value) != ""){
			//Validacion del cif/nif
			if (!esCorrectoCifNif_defClienteCGModif()){
	  			document.FormAtencionDefensaClienteModificar["identif_defClienteCGModif"].focus();
				return;
			}
			
			if (document.FormAtencionDefensaClienteModificar.tipo_defClienteCGModif.value=="<%=P06BConstantes.P06B_PERSONA_FISICA%>"){
				if (document.FormAtencionDefensaClienteModificar["nombre_defClienteCGModif"].value==""){
		  			alert('<%=((P06BResources)request.getSession().getAttribute(P06BConstantes.P06B_RES_SES_ETIQUETAS)).get("alertas.0021")%>');
		  			document.FormAtencionDefensaClienteModificar["nombre_defClienteCGModif"].focus();
		  			return;
		  		}
				if (document.FormAtencionDefensaClienteModificar["ape1_defClienteCGModif"].value==""){
		  			alert('<%=((P06BResources)request.getSession().getAttribute(P06BConstantes.P06B_RES_SES_ETIQUETAS)).get("alertas.0022")%>');
		  			document.FormAtencionDefensaClienteModificar["ape1_defClienteCGModif"].focus();
		  			return;
		  		}
				if (document.FormAtencionDefensaClienteModificar["ape2_defClienteCGModif"].value==""){
		  			alert('<%=((P06BResources)request.getSession().getAttribute(P06BConstantes.P06B_RES_SES_ETIQUETAS)).get("alertas.0023")%>');
		  			document.FormAtencionDefensaClienteModificar["ape2_defClienteCGModif"].focus();
		  			return;
		  		}
			}else{
				if (document.FormAtencionDefensaClienteModificar["razsoc_defClienteCGModif"].value==""){
		  			alert('<%=((P06BResources)request.getSession().getAttribute(P06BConstantes.P06B_RES_SES_ETIQUETAS)).get("alertas.0024")%>');
		  			document.FormAtencionDefensaClienteModificar["razsoc_defClienteCGModif"].focus();
		  			return;
		  		}			
			}
		}
		
		document.FormAtencionDefensaClienteModificar.tipo_atClienteCVModif.disabled = false;
		document.FormAtencionDefensaClienteModificar.tipo_atClienteCGModif.disabled = false;
		document.FormAtencionDefensaClienteModificar.tipo_defClienteCVModif.disabled = false;
		document.FormAtencionDefensaClienteModificar.tipo_defClienteCGModif.disabled = false;
		
		document.FormAtencionDefensaClienteModificar.accion.value=<%=P06BConstantes.P06B_ACCION_UPDATE%>;
		document.FormAtencionDefensaClienteModificar.submit();
	}
	
</script>
<%@ include file="/p06bComunJSP/p06bCabecera.inc"%>
<p></p>
<%@ include file="/p06bComunJSP/p06bMenuJsp.inc"%>

<FORM NAME="FormAtencionDefensaClienteModificar" METHOD="POST" action="<%=P06BPaginas.P06B_JSP_SERVLETATENCIONDEFENSACLIENTE_INJSP%>" style="width:750px;text-align:left;margin:0px auto 0px auto;padding-top:20px">
	<div style="width:100%;text-align:left;margin:0px auto 0px auto">
	<input type="hidden" name="accion" value="<%=P06BConstantes.P06B_ACCION_UPDATE%>">
	<input class="boton" type="button" name="Aceptar" value="<p06b:p06bResEtiquetasTag resource="botones.grabar"/>" onclick="grabar()">			
	
	<div style="width:100%;text-align:left;float:left">
		<h1 style="text-align:center"><p06b:p06bResEtiquetasTag resource="pantallas.literal.CV"/></h1>
	
	<div id="div1" class="conPadding" style="width:50%;text-align:left">
		<h1 style="text-align:center"><p06b:p06bResEtiquetasTag resource="pantallas.literal.atCliente"/></h1>
		<label for="tipo_atClienteCVModif" class="searchTitleLabel"><p06b:p06bResEtiquetasTag resource="pantallas.literal.tipoPersona2"/></label>
		<select name="tipo_atClienteCVModif" id="tipo_atClienteCVModif" class="inputFieldLabel" onchange="javascript:fcambiaTipoPer_atClienteCVModif();">
			<option <%if(atClienteCV.getTipo()!=null&&atClienteCV.getTipo().equals(P06BConstantes.P06B_PERSONA_JURIDICA)){%>SELECTED<%}%> value="<%=P06BConstantes.P06B_PERSONA_JURIDICA%>"><p06b:p06bResEtiquetasTag resource="pantallas.literal.persJuridica"/></option> 
			<option <%if(atClienteCV.getTipo()==null||atClienteCV.getTipo().equals(P06BConstantes.P06B_PERSONA_FISICA)){%>SELECTED<%}%> value="<%=P06BConstantes.P06B_PERSONA_FISICA%>"><p06b:p06bResEtiquetasTag resource="pantallas.literal.persFisica"/></option>
		</select> 
		<br>
		<label for="identif_atClienteCVModif" class="searchTitleLabel"><p06b:p06bResEtiquetasTag resource="pantallas.literal.nifCif"/></label>
		<input class="inputFieldLabel" type="text" name="identif_atClienteCVModif" id="identif_atClienteCVModif" value="<%=(atClienteCV.getIdentificador().equals(P06BConstantes.P06B_AC_ADHERIDOALCOLEGIOCIFFICTICIO)||atClienteCV.getIdentificador().equals(P06BConstantes.P06B_AC_ADHERIDOALCOLEGIODNIFICTICIO))?"":atClienteCV.getIdentificador()%>" maxlength="9" size="9">
		
		<div id="bloquePerJ_atClienteCVModif">
			<label for="razsoc_atClienteCVModif" class="searchTitleLabel"><p06b:p06bResEtiquetasTag resource="pantallas.literal.razSoc"/></label>
			<input class="inputFieldLabel" type="text" name="razsoc_atClienteCVModif" id="razsoc_atClienteCVModif" value="<%=(atClienteCV.getRazsoc()==null)?"":atClienteCV.getRazsoc()%>" maxlength="150" size="43">
		</div>
		<div id="bloquePerF_atClienteCVModif">
			<label for="nombre_atClienteCVModif" class="searchTitleLabel"><p06b:p06bResEtiquetasTag resource="pantallas.literal.nombre"/></label>
			<input class="inputFieldLabel" type="text" name="nombre_atClienteCVModif" id="nombre_atClienteCVModif" value="<%=(atClienteCV.getNombre()==null)?"":atClienteCV.getNombre()%>" maxlength="50" size="48">
			<br>
			<label for="ape1_atClienteCVModif" class="searchTitleLabel"><p06b:p06bResEtiquetasTag resource="pantallas.literal.ape1"/></label>
			<input class="inputFieldLabel" type="text" name="ape1_atClienteCVModif" id="ape1_atClienteCVModif" value="<%=(atClienteCV.getApe1()==null)?"":atClienteCV.getApe1()%>" maxlength="50" size="46">
			<br>
			<label for="ape2_atClienteCVModif" class="searchTitleLabel"><p06b:p06bResEtiquetasTag resource="pantallas.literal.ape2"/></label>
			<input class="inputFieldLabel" type="text" name="ape2_atClienteCVModif" id="ape2_atClienteCVModif" value="<%=(atClienteCV.getApe2()==null)?"":atClienteCV.getApe2()%>" maxlength="50" size="46">
		</div>
	</div>
	<div id="div2" class="conPadding" style="width:50%;text-align:left">
		<h1 style="text-align:center"><p06b:p06bResEtiquetasTag resource="pantallas.literal.defCliente"/></h1>
		<label for="tipo_defClienteCVModif" class="searchTitleLabel"><p06b:p06bResEtiquetasTag resource="pantallas.literal.tipoPersona2"/></label>
		<select name="tipo_defClienteCVModif" id="tipo_defClienteCVModif" class="inputFieldLabel" onchange="javascript:fcambiaTipoPer_defClienteCVModif();">
			<option <%if(defClienteCV.getTipo()!=null&&defClienteCV.getTipo().equals(P06BConstantes.P06B_PERSONA_JURIDICA)){%>SELECTED<%}%> value="<%=P06BConstantes.P06B_PERSONA_JURIDICA%>"><p06b:p06bResEtiquetasTag resource="pantallas.literal.persJuridica"/></option> 
			<option <%if(defClienteCV.getTipo()==null||defClienteCV.getTipo().equals(P06BConstantes.P06B_PERSONA_FISICA)){%>SELECTED<%}%> value="<%=P06BConstantes.P06B_PERSONA_FISICA%>"><p06b:p06bResEtiquetasTag resource="pantallas.literal.persFisica"/></option>
		</select> 
		<br>
		<label for="identif_defClienteCVModif" class="searchTitleLabel"><p06b:p06bResEtiquetasTag resource="pantallas.literal.nifCif"/></label>
		<input class="inputFieldLabel" type="text" name="identif_defClienteCVModif" id="identif_defClienteCVModif" value="<%=(defClienteCV.getIdentificador().equals(P06BConstantes.P06B_AC_ADHERIDOALCOLEGIOCIFFICTICIO)||defClienteCV.getIdentificador().equals(P06BConstantes.P06B_AC_ADHERIDOALCOLEGIODNIFICTICIO))?"":defClienteCV.getIdentificador()%>" maxlength="9" size="9">
		
		<div id="bloquePerJ_defClienteCVModif">
			<label for="razsoc_defClienteCVModif" class="searchTitleLabel"><p06b:p06bResEtiquetasTag resource="pantallas.literal.razSoc"/></label>
			<input class="inputFieldLabel" type="text" name="razsoc_defClienteCVModif" id="razsoc_defClienteCVModif" value="<%=(defClienteCV.getRazsoc()==null)?"":defClienteCV.getRazsoc()%>" maxlength="150" size="43">
		</div>
		<div id="bloquePerF_defClienteCVModif">
			<label for="nombre_defClienteCVModif" class="searchTitleLabel"><p06b:p06bResEtiquetasTag resource="pantallas.literal.nombre"/></label>
			<input class="inputFieldLabel" type="text" name="nombre_defClienteCVModif" id="nombre_defClienteCVModif" value="<%=(defClienteCV.getNombre()==null)?"":defClienteCV.getNombre()%>" maxlength="50" size="48">
			<br>
			<label for="ape1_defClienteCVModif" class="searchTitleLabel"><p06b:p06bResEtiquetasTag resource="pantallas.literal.ape1"/></label>
			<input class="inputFieldLabel" type="text" name="ape1_defClienteCVModif" id="ape1_defClienteCVModif" value="<%=(defClienteCV.getApe1()==null)?"":defClienteCV.getApe1()%>" maxlength="50" size="46">
			<br>
			<label for="ape2_defClienteCVModif" class="searchTitleLabel"><p06b:p06bResEtiquetasTag resource="pantallas.literal.ape2"/></label>
			<input class="inputFieldLabel" type="text" name="ape2_defClienteCVModif" id="ape2_defClienteCVModif" value="<%=(defClienteCV.getApe2()==null)?"":defClienteCV.getApe2()%>" maxlength="50" size="46">
		</div>
	</div>


	</div>
	
	<div style="width:100%;text-align:left;float:left">
		<h1 style="text-align:center"><p06b:p06bResEtiquetasTag resource="pantallas.literal.CG"/></h1>
	
	<div id="div3" class="conPadding" style="width:50%;text-align:left">
		<h1 style="text-align:center"><p06b:p06bResEtiquetasTag resource="pantallas.literal.atCliente"/></h1>
		<label for="tipo_atClienteCGModif" class="searchTitleLabel"><p06b:p06bResEtiquetasTag resource="pantallas.literal.tipoPersona2"/></label>
		<select name="tipo_atClienteCGModif" id="tipo_atClienteCGModif" class="inputFieldLabel" onchange="javascript:fcambiaTipoPer_atClienteCGModif();">
			<option <%if(atClienteCG.getTipo()!=null&&atClienteCG.getTipo().equals(P06BConstantes.P06B_PERSONA_JURIDICA)){%>SELECTED<%}%> value="<%=P06BConstantes.P06B_PERSONA_JURIDICA%>"><p06b:p06bResEtiquetasTag resource="pantallas.literal.persJuridica"/></option> 
			<option <%if(atClienteCG.getTipo()==null||atClienteCG.getTipo().equals(P06BConstantes.P06B_PERSONA_FISICA)){%>SELECTED<%}%> value="<%=P06BConstantes.P06B_PERSONA_FISICA%>"><p06b:p06bResEtiquetasTag resource="pantallas.literal.persFisica"/></option>
		</select> 
		<br>
		<label for="identif_atClienteCGModif" class="searchTitleLabel"><p06b:p06bResEtiquetasTag resource="pantallas.literal.nifCif"/></label>
		<input class="inputFieldLabel" type="text" name="identif_atClienteCGModif" id="identif_atClienteCGModif" value="<%=(atClienteCG.getIdentificador().equals(P06BConstantes.P06B_AC_ADHERIDOALCOLEGIOCIFFICTICIO)||atClienteCG.getIdentificador().equals(P06BConstantes.P06B_AC_ADHERIDOALCOLEGIODNIFICTICIO))?"":atClienteCG.getIdentificador()%>" maxlength="9" size="9">
		
		<div id="bloquePerJ_atClienteCGModif">
			<label for="razsoc_atClienteCGModif" class="searchTitleLabel"><p06b:p06bResEtiquetasTag resource="pantallas.literal.razSoc"/></label>
			<input class="inputFieldLabel" type="text" name="razsoc_atClienteCGModif" id="razsoc_atClienteCGModif" value="<%=(atClienteCG.getRazsoc()==null)?"":atClienteCG.getRazsoc()%>" maxlength="150" size="43">
		</div>
		<div id="bloquePerF_atClienteCGModif">
			<label for="nombre_atClienteCGModif" class="searchTitleLabel"><p06b:p06bResEtiquetasTag resource="pantallas.literal.nombre"/></label>
			<input class="inputFieldLabel" type="text" name="nombre_atClienteCGModif" id="nombre_atClienteCGModif" value="<%=(atClienteCG.getNombre()==null)?"":atClienteCG.getNombre()%>" maxlength="50" size="48">
			<br>
			<label for="ape1_atClienteCGModif" class="searchTitleLabel"><p06b:p06bResEtiquetasTag resource="pantallas.literal.ape1"/></label>
			<input class="inputFieldLabel" type="text" name="ape1_atClienteCGModif" id="ape1_atClienteCGModif" value="<%=(atClienteCG.getApe1()==null)?"":atClienteCG.getApe1()%>" maxlength="50" size="46">
			<br>
			<label for="ape2_atClienteCGModif" class="searchTitleLabel"><p06b:p06bResEtiquetasTag resource="pantallas.literal.ape2"/></label>
			<input class="inputFieldLabel" type="text" name="ape2_atClienteCGModif" id="ape2_atClienteCGModif" value="<%=(atClienteCG.getApe2()==null)?"":atClienteCG.getApe2()%>" maxlength="50" size="46">
		</div>
	</div>
	<div id="div4" class="conPadding" style="width:50%;text-align:left">
		<h1 style="text-align:center"><p06b:p06bResEtiquetasTag resource="pantallas.literal.defCliente"/></h1>
		<label for="tipo_defClienteCGModif" class="searchTitleLabel"><p06b:p06bResEtiquetasTag resource="pantallas.literal.tipoPersona2"/></label>
		<select name="tipo_defClienteCGModif" id="tipo_defClienteCGModif" class="inputFieldLabel" onchange="javascript:fcambiaTipoPer_defClienteCGModif();">
			<option <%if(defClienteCG.getTipo()!=null&&defClienteCG.getTipo().equals(P06BConstantes.P06B_PERSONA_JURIDICA)){%>SELECTED<%}%> value="<%=P06BConstantes.P06B_PERSONA_JURIDICA%>"><p06b:p06bResEtiquetasTag resource="pantallas.literal.persJuridica"/></option> 
			<option <%if(defClienteCG.getTipo()==null||defClienteCG.getTipo().equals(P06BConstantes.P06B_PERSONA_FISICA)){%>SELECTED<%}%> value="<%=P06BConstantes.P06B_PERSONA_FISICA%>"><p06b:p06bResEtiquetasTag resource="pantallas.literal.persFisica"/></option>
		</select> 
		<br>
		<label for="identif_defClienteCGModif" class="searchTitleLabel"><p06b:p06bResEtiquetasTag resource="pantallas.literal.nifCif"/></label>
		<input class="inputFieldLabel" type="text" name="identif_defClienteCGModif" id="identif_defClienteCGModif" value="<%=(defClienteCG.getIdentificador().equals(P06BConstantes.P06B_AC_ADHERIDOALCOLEGIOCIFFICTICIO)||defClienteCG.getIdentificador().equals(P06BConstantes.P06B_AC_ADHERIDOALCOLEGIODNIFICTICIO))?"":defClienteCG.getIdentificador()%>" maxlength="9" size="9">
		
		<div id="bloquePerJ_defClienteCGModif">
			<label for="razsoc_defClienteCGModif" class="searchTitleLabel"><p06b:p06bResEtiquetasTag resource="pantallas.literal.razSoc"/></label>
			<input class="inputFieldLabel" type="text" name="razsoc_defClienteCGModif" id="razsoc_defClienteCGModif" value="<%=(defClienteCG.getRazsoc()==null)?"":defClienteCG.getRazsoc()%>" maxlength="150" size="43">
		</div>
		<div id="bloquePerF_defClienteCGModif">
			<label for="nombre_defClienteCGModif" class="searchTitleLabel"><p06b:p06bResEtiquetasTag resource="pantallas.literal.nombre"/></label>
			<input class="inputFieldLabel" type="text" name="nombre_defClienteCGModif" id="nombre_defClienteCGModif" value="<%=(defClienteCG.getNombre()==null)?"":defClienteCG.getNombre()%>" maxlength="50" size="48">
			<br>
			<label for="ape1_defClienteCGModif" class="searchTitleLabel"><p06b:p06bResEtiquetasTag resource="pantallas.literal.ape1"/></label>
			<input class="inputFieldLabel" type="text" name="ape1_defClienteCGModif" id="ape1_defClienteCGModif" value="<%=(defClienteCG.getApe1()==null)?"":defClienteCG.getApe1()%>" maxlength="50" size="46">
			<br>
			<label for="ape2_defClienteCGModif" class="searchTitleLabel"><p06b:p06bResEtiquetasTag resource="pantallas.literal.ape2"/></label>
			<input class="inputFieldLabel" type="text" name="ape2_defClienteCGModif" id="ape2_defClienteCGModif" value="<%=(defClienteCG.getApe2()==null)?"":defClienteCG.getApe2()%>" maxlength="50" size="46">
		</div>
	</div>

	</div>
	</div>
</FORM>
<%@ include file="/p06bComunJSP/p06bPie.inc"%>
<script>
inicializa();
</script>

</body>
</html>